<div class="page-header">
  <h3>
    {{ 'login.title' | translate }}
  </h3>
</div>

<div class="page-content">
  <form role="form" (submit)="login()" [formGroup]="simpleForm" class="medium-size-form">
    <div class="form-group">
      <label for="username">{{ 'login.user' | translate }}:</label>
      <input type="text" id="username" formControlName="username" class="form-control" [ngClass]="{ 'is-invalid': submitted && form.username.errors }"/>
      <div *ngIf="submitted && form.username.errors" class="form-error">
        <div *ngIf="form.username.errors.required">{{ 'validation.required' | translate }}</div>
      </div>
    </div>
    <div class="form-group">
      <label for="password">{{ 'login.password' | translate }}:</label>
      <input type="password" id="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && form.password.errors }"/>
      <div *ngIf="submitted && form.password.errors" class="form-error">
        <div *ngIf="form.password.errors.required">{{ 'validation.required' | translate }}</div>
        <div *ngIf="form.password.errors.minlength">{{ 'validation.minlength' | translate }}</div>
      </div>
    </div>
    <button type="submit" class="btn btn-primary">{{ 'login.submitButton' | translate }}</button>
  </form>

  <div class="margin-top-m">
    <msg-box [msg]="error" [type]="'error'"></msg-box>
  </div>

  <div class="go-back margin-top-m">
    <h3>{{ 'login.noAccountInfo' | translate }}</h3>
    <a routerLink="/register">{{ 'login.registerButton' | translate }}</a>
  </div>

</div>
